Skip to main content

RTP Payload for Text Conversation
RFC 4103

Revision differences

Document history

Date Rev. By Action
2018-12-20
09 (System)
Received changes through RFC Editor sync (changed abstract to 'This memo obsoletes RFC 2793; it describes how to carry real-time text conversation session contents …
Received changes through RFC Editor sync (changed abstract to 'This memo obsoletes RFC 2793; it describes how to carry real-time text conversation session contents in RTP packets. Text conversation session contents are specified in ITU-T Recommendation T.140.

One payload format is described for transmitting text on a separate RTP session dedicated for the transmission of text.

This RTP payload description recommends a method to include redundant text from already transmitted packets in order to reduce the risk of text loss caused by packet loss. [STANDARDS-TRACK]')
2012-08-22
09 (System) post-migration administrative database adjustment to the No Objection position for Russ Housley
2005-06-10
09 Amy Vezza State Changes to RFC Published from RFC Ed Queue by Amy Vezza
2005-06-10
09 Amy Vezza [Note]: 'RFC 4103' added by Amy Vezza
2005-06-08
09 Allison Mankin
Correcting earlier log, expedite request was 5/16.

Auth48 started 5/25 for both, authors had minor fixes expressed by 5/26.  (text-red
still had Microsoft characters, btw) …
Correcting earlier log, expedite request was 5/16.

Auth48 started 5/25 for both, authors had minor fixes expressed by 5/26.  (text-red
still had Microsoft characters, btw)

RFC Ed came back with new versions 6/1

Everyone fully signed off 6/1 for 4102, 6/2 for 4103

Here is the RFC Editor's note to the IESG (compare with Expedite request):

IESG,

will be announced as RFC 4102 on
Monday, with the publication date of June 2005.

will be announced as RFC 4103 on
Monday, with the publication date of June 2005.


Thank you.

RFC Editor

Date: Fri, 3 Jun 2005 17:47:41 -0700
2005-06-08
09 Allison Mankin
Correcting earlier log, expedite request was 5/16.

Auth48 started 5/25 for both, authors had minor fixes expressed by 5/26.  (text-red
still had Microsoft characters, btw) …
Correcting earlier log, expedite request was 5/16.

Auth48 started 5/25 for both, authors had minor fixes expressed by 5/26.  (text-red
still had Microsoft characters, btw)

RFC Ed came back with new versions 6/1

Everyone fully signed off 6/1 for 4102, 6/2 for 4103

Here is the RFC Editor's note to the IESG (compare with Expedite request):

IESG,

will be announced as RFC 4102 on
Monday, with the publication date of June 2005.

will be announced as RFC 4103 on
Monday, with the publication date of June 2005.


Thank you.

RFC Editor

Date: Fri, 3 Jun 2005 17:47:41 -0700
2005-06-07
09 Allison Mankin
Correcting earlier log, expedite request was 5/16.

Auth48 started 5/25 for both, authors had minor fixes expressed by 5/26.  (text-red
still had Microsoft characters, btw) …
Correcting earlier log, expedite request was 5/16.

Auth48 started 5/25 for both, authors had minor fixes expressed by 5/26.  (text-red
still had Microsoft characters, btw)

RFC Ed came back with new versions 6/1

Everyone fully signed off 6/1 for 4102, 6/2 for 4103

Here is the RFC Editor's note to the IESG (compare with Expedite request):

IESG,

will be announced as RFC 4102 on
Monday, with the publication date of June 2005.

will be announced as RFC 4103 on
Monday, with the publication date of June 2005.


Thank you.

RFC Editor

Date: Fri, 3 Jun 2005 17:47:41 -0700
2005-06-07
09 Allison Mankin
Published: RFC 4103

IESG requested Expedited publication of this and draft-ietf-avt-text-red (RFC 4102):

On Mon, May 16, 2005 at 11:55:52AM -0400, IESG Secretary …
Published: RFC 4103

IESG requested Expedited publication of this and draft-ietf-avt-text-red (RFC 4102):

On Mon, May 16, 2005 at 11:55:52AM -0400, IESG Secretary wrote:
> Dear RFC Editor:
>
> This is a request to expedite the publication of
>
>  draft-ietf-avt-2793bis-07.txt
draft-ietf-avt-text-red-05.txt
>
> We request that the publication be complete by June 3.
>
> The reason is the need for citation in the final form of the
> ETSI task force STF 267 Duplex Universal Speech and Text Guide.
>
> Their publication is to be approved by ETSI Human Factors plenary
> meeting June 13-17 - the submission deadline for consideration is
> June 3.
>
> The document's RFC numbers are also of interest to TIA TR30.1, INCOM,
> ETIS TISPAN, ITU-T and ATIS, just to note.
>
> The IANA actions for both documents are now complete, and they do not
> have references that will hold them.
>
> Thank you,
>
> The IESG


Received email from RFC Editor on Jun 3 at 17:47 PST, too late for ietf-announce on Jun 3.
(Auth48 started 5/25 for both, authors had minor revs,  RFC Ed came back with new
versions 6/1, everyone fully signed off 6/1 for 4102, 6/2 for 4103).
2005-06-07
09 Allison Mankin
Published: RFC 4103

IESG requested Expedited publication of this and draft-ietf-avt-text-red (RFC 4102):

On Mon, May 16, 2005 at 11:55:52AM -0400, IESG Secretary …
Published: RFC 4103

IESG requested Expedited publication of this and draft-ietf-avt-text-red (RFC 4102):

On Mon, May 16, 2005 at 11:55:52AM -0400, IESG Secretary wrote:
> Dear RFC Editor:
>
> This is a request to expedite the publication of
>
>  draft-ietf-avt-2793bis-07.txt
draft-ietf-avt-text-red-05.txt
>
> We request that the publication be complete by June 3.
>
> The reason is the need for citation in the final form of the
> ETSI task force STF 267 Duplex Universal Speech and Text Guide.
>
> Their publication is to be approved by ETSI Human Factors plenary
> meeting June 13-17 - the submission deadline for consideration is
> June 3.
>
> The document's RFC numbers are also of interest to TIA TR30.1, INCOM,
> ETIS TISPAN, ITU-T and ATIS, just to note.
>
> The IANA actions for both documents are now complete, and they do not
> have references that will hold them.
>
> Thank you,
>
> The IESG


Received email from RFC Editor on Jun 3 at 17:47 PST, too late for ietf-announce on Jun 3.
(Auth48 started 5/25 for both, authors had minor revs,  RFC Ed came back with new
versions 6/1, everyone fully signed off 6/1 for 4102, 6/2 for 4103).
2005-06-07
09 Allison Mankin
Record of RFC Editor handling of the June 3 deadline: bad job of expediting.  I'm checking
whether/how deadline mattered to ETSI, because it was shot.  …
Record of RFC Editor handling of the June 3 deadline: bad job of expediting.  I'm checking
whether/how deadline mattered to ETSI, because it was shot.  RFC Editor sent their note of
approval of the drafts at 17:47 -700 June 3, and stated they'd announce June 6.  The authors
and chairs* worked really hard to make it and the RFC Editor shot it except by their own
f*wit definition.  They could easily have sent the announcements on the 2nd; the authors were
entirely clear by 7 AM CET on June 2nd.

-------

From: "Paul E. Jones"
Subject: RE: authors 48 hours: RFC 4102  NOW AVAILABLE
Date: Wed, 1 Jun 2005 20:52:48 -0400

This looks good!


From: "Paul E. Jones"
Subject: RE: authors 48 hours: RFC 4103  NOW AVAILABLE
Date: Wed, 1 Jun 2005 21:01:33 -0400

This also looks good!

From: "Gunnar Hellstrom"
Subject: RE: authors 48 hours: RFC 4103  NOW AVAILABLE
Date: Thu, 2 Jun 2005 07:32:16 +0200

Thanks,
Approved, it looks good.

Date: Fri, 3 Jun 2005 17:47:41 -0700
From: RFC Editor
To: IESG Secretary

IESG,

will be announced as RFC 4102 on
Monday, with the publication date of June 2005.

will be announced as RFC 4103 on
Monday, with the publication date of June 2005.
2005-06-07
09 Allison Mankin Note field has been cleared by Allison Mankin
2005-06-07
09 Allison Mankin
Published: RFC 4103

IESG requested Expedited publication of this and draft-ietf-avt-text-red (RFC 4102):

On Mon, May 16, 2005 at 11:55:52AM -0400, IESG Secretary …
Published: RFC 4103

IESG requested Expedited publication of this and draft-ietf-avt-text-red (RFC 4102):

On Mon, May 16, 2005 at 11:55:52AM -0400, IESG Secretary wrote:
> Dear RFC Editor:
>
> This is a request to expedite the publication of
>
>  draft-ietf-avt-2793bis-07.txt
draft-ietf-avt-text-red-05.txt
>
> We request that the publication be complete by June 3.
>
> The reason is the need for citation in the final form of the
> ETSI task force STF 267 Duplex Universal Speech and Text Guide.
>
> Their publication is to be approved by ETSI Human Factors plenary
> meeting June 13-17 - the submission deadline for consideration is
> June 3.
>
> The document's RFC numbers are also of interest to TIA TR30.1, INCOM,
> ETIS TISPAN, ITU-T and ATIS, just to note.
>
> The IANA actions for both documents are now complete, and they do not
> have references that will hold them.
>
> Thank you,
>
> The IESG


Received email from RFC Editor on Jun 3 at 17:47 PST, too late for ietf-announce on Jun 3.
(Auth48 started 5/25 for both, authors had minor revs,  RFC Ed came back with new
versions 6/1, everyone fully signed off 6/1 for 4102, 6/2 for 4103).
2005-06-06
09 (System) RFC published
2004-12-07
09 Amy Vezza State Changes to RFC Ed Queue from Approved-announcement sent by Amy Vezza
2004-12-06
09 Amy Vezza IESG state changed to Approved-announcement sent
2004-12-06
09 Amy Vezza IESG has approved the document
2004-12-06
09 Amy Vezza Closed "Approve" ballot
2004-12-03
09 (System) Removed from agenda for telechat - 2004-12-02
2004-12-02
09 Amy Vezza State Changes to Approved-announcement to be sent::Point Raised - writeup needed from In Last Call by Amy Vezza
2004-12-02
09 Thomas Narten [Ballot Position Update] New position, No Objection, has been recorded for Thomas Narten by Thomas Narten
2004-12-02
09 Alex Zinin [Ballot Position Update] New position, No Objection, has been recorded for Alex Zinin by Alex Zinin
2004-12-02
09 Bill Fenner [Ballot Position Update] New position, No Objection, has been recorded for Bill Fenner by Bill Fenner
2004-12-02
09 Michelle Cotton
IANA Last Call Comments:
Upon approval of this document the IANA will update the
references for 2 registered parameters:

t140 RTP Payload Format MIME types …
IANA Last Call Comments:
Upon approval of this document the IANA will update the
references for 2 registered parameters:

t140 RTP Payload Format MIME types at the following:


text/t140 MIME Media type at the following:
2004-12-01
09 Bert Wijnen [Ballot Position Update] Position for Bert Wijnen has been changed to No Objection from Undefined by Bert Wijnen
2004-12-01
09 Bert Wijnen
[Ballot comment]
I see mixed use of "T140block" and "T.140block"
Are they not the same? If so, maybe a consistent notation
would be better. Same …
[Ballot comment]
I see mixed use of "T140block" and "T.140block"
Are they not the same? If so, maybe a consistent notation
would be better. Same for "T140" and "T.140"

*** matchref -- match citations and references.
    Input file: draft-ietf-avt-rfc2793bis-09.txt

!! Missing citation for Normative reference:
  P017 L056:    [12] Postel, J.,"Internet Protocol", RFC 791, 1981.

!! Missing citation for Informative reference:
  P018 L015:    [15] Schulzrinne, H., Petrack, S., "RTP Payload for DTMF Digits,
2004-12-01
09 Bert Wijnen
[Ballot comment]
*** matchref -- match citations and references.
    Input file: draft-ietf-avt-rfc2793bis-09.txt

!! Missing citation for Normative reference:
  P017 L056:    [12] …
[Ballot comment]
*** matchref -- match citations and references.
    Input file: draft-ietf-avt-rfc2793bis-09.txt

!! Missing citation for Normative reference:
  P017 L056:    [12] Postel, J.,"Internet Protocol", RFC 791, 1981.

!! Missing citation for Informative reference:
  P018 L015:    [15] Schulzrinne, H., Petrack, S., "RTP Payload for DTMF Digits,
2004-12-01
09 Bert Wijnen [Ballot Position Update] New position, Undefined, has been recorded for Bert Wijnen by Bert Wijnen
2004-12-01
09 Harald Alvestrand
[Ballot comment]
Reviewed by Michael Patton, Gen-ART

His review:

Summary: This draft is basically ready for publication as Proposed
Standard, but has nits that should …
[Ballot comment]
Reviewed by Michael Patton, Gen-ART

His review:

Summary: This draft is basically ready for publication as Proposed
Standard, but has nits that should be fixed before
publication.  All of these are in the xcope of what can be
done in RFC final prep.
----------------------------------------------------------------

While reference [14] is not required to understand the protocol
itself, it's important to the understanding of the "Security
Considerations" and I therefore think that it should be Normative.


[This next one is really almost just a typo, but the one word change
actually changes the meaning, so I put it up front.  I think this is
actually the point the authors are trying to make, since the original
wording seems a non-sequitur to me.]

In the third paragraph of Section 9 is the phrase "this application
will experience very high packet loss rates before it needs to perform
any reduction in the sending rate."  I believe the authors mean that
the application works fine even in the face of large loss rates, but
that's not actually what their chosen words mean, the actual words
imply that something will cause the application to experience higher
loss.  If that's really the intent, I believe that can be fixed by
simply changing the word "will" to "can".  If they meant something
else, more extensive rewording is needed.


Typos
-----

Section 1: "in connection to" => "in connection with"

Section 3.1: "are depending on" => "are dependent on"
2004-12-01
09 Harald Alvestrand [Ballot Position Update] New position, No Objection, has been recorded for Harald Alvestrand by Harald Alvestrand
2004-11-30
09 Russ Housley [Ballot Position Update] Position for Russ Housley has been changed to No Objection from Discuss by Russ Housley
2004-11-30
09 Russ Housley
[Ballot discuss]
Section 3.3 says:
  >
  > Any composite character sequence (CCS) SHOULD be placed
  > within one block.
  >
  …
[Ballot discuss]
Section 3.3 says:
  >
  > Any composite character sequence (CCS) SHOULD be placed
  > within one block.
  >
  Splitting a CCS across blocks seems like it adds complexity.
  Is there a reason that this SHOULD is not a MUST?
2004-11-30
09 Russ Housley [Ballot Position Update] New position, Discuss, has been recorded for Russ Housley by Russ Housley
2004-11-28
09 Sam Hartman [Ballot Position Update] New position, No Objection, has been recorded for Sam Hartman by Sam Hartman
2004-11-28
09 Margaret Cullen [Ballot Position Update] New position, No Objection, has been recorded for Margaret Wasserman by Margaret Wasserman
2004-11-24
09 Scott Hollenbeck
[Ballot comment]
Two-week MIME type review period for text/t140 ends on 2 December.  Please confirm that no issues are identified (none have been raised so …
[Ballot comment]
Two-week MIME type review period for text/t140 ends on 2 December.  Please confirm that no issues are identified (none have been raised so far).
2004-11-24
09 Scott Hollenbeck [Ballot Position Update] New position, No Objection, has been recorded for Scott Hollenbeck by Scott Hollenbeck
2004-11-24
09 Allison Mankin [Ballot Position Update] New position, Yes, has been recorded for Allison Mankin
2004-11-24
09 Allison Mankin Ballot has been issued by Allison Mankin
2004-11-24
09 Allison Mankin Created "Approve" ballot
2004-11-24
09 Allison Mankin Placed on agenda for telechat - 2004-12-02 by Allison Mankin
2004-11-24
09 Allison Mankin
[Note]: 'text/red is in revision to be text payload types only
RFC Editor Note will change IANA Considerations to note text/t140 is an update, not …
[Note]: 'text/red is in revision to be text payload types only
RFC Editor Note will change IANA Considerations to note text/t140 is an update, not new' added by Allison Mankin
2004-11-24
09 Allison Mankin
[Note]: 'ETSI want to publish their own copy of this RFC in/by April - need to discuss this with I* - see log
text/red in …
[Note]: 'ETSI want to publish their own copy of this RFC in/by April - need to discuss this with I* - see log
text/red in revision to be text payload types only
RFC Editor Note in this in IANA Considerations to note registration is an update, not new (oversight
not to change the text)' added by Allison Mankin
2004-11-18
09 Amy Vezza Last call sent
2004-11-18
09 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2004-11-18
09 Allison Mankin
Cisco IPR claim is known to the chairs and WG.
Corresponded with editor Hellstrom:

2004-10-21
I have got a request from ETSI to prepare for …
Cisco IPR claim is known to the chairs and WG.
Corresponded with editor Hellstrom:

2004-10-21
I have got a request from ETSI to prepare for ETSI endorsement of RFC2793bis when
published. In order to be able to endorse it, ETSI needs a letter from IETF saying that
IETF accepts the endorsement. Can you please guide me in that process. Can you take the
task on you to create that letter?

More explanation (same day):

But the request was not for IETF to endorse rfc2793bis. It was only for IETF to accept
that ETSI endorses RFC 2793bis.

Endorsing by ETSI will mean that an ETSI standard is created that gets the same title as
the RFC and just says that it is the RFC.

In some circumstances it is still important to have European standards.

I am part of a task force within ETSI, called STF 267, making a Guideline document for
mainstreamed real time text conversation. It is for this work that it is regarded
important to have ETSI endorse RFC 2793bis.

More explanations will come in the letter from ETSI.

And more:

There is no big rush. But there is also a process to be initiated and followed on the ETSI
side, so we want to initiate that now, and plan the steps to take. The final actions may
be as late as April, when the RFC is definitely needed.

gunnar.hellstrom@omnitor.se
stf267@etsi.org
2004-11-18
09 Allison Mankin
[Note]: 'ETSI want to publish their own copy of this RFC in/by April - need to discuss this with I* - see log' added by …
[Note]: 'ETSI want to publish their own copy of this RFC in/by April - need to discuss this with I* - see log' added by Allison Mankin
2004-11-18
09 Allison Mankin State Change Notice email list have been change to csp@csperkins.org, magnus.westerlund@ericsson.com from
2004-11-18
09 Allison Mankin Last Call was requested by Allison Mankin
2004-11-18
09 (System) Ballot writeup text was added
2004-11-18
09 (System) Last call text was added
2004-11-18
09 (System) Ballot approval text was added
2004-11-18
09 Allison Mankin State Changes to Last Call Requested from Publication Requested by Allison Mankin
2004-11-10
(System) Posted related IPR disclosure: Cisco's Statement about IPR claimed in draft-ietf-avt-rfc2793bis-09
2004-10-21
09 Dinara Suleymanova Area acronymn has been changed to gen from tsv
2004-10-21
09 Dinara Suleymanova Area acronymn has been changed to gen from tsv
2004-10-21
09 Dinara Suleymanova Area acronymn has been changed to tsv from gen
2004-10-21
09 Dinara Suleymanova Draft Added by Dinara Suleymanova in state Publication Requested
2004-10-11
(System) Posted related IPR disclosure: Cisco's Statement about IPR claimed in draft-ietf-avt-rfc2793bis-09.txt
2004-08-30
09 (System) New version available: draft-ietf-avt-rfc2793bis-09.txt
2004-07-14
08 (System) New version available: draft-ietf-avt-rfc2793bis-08.txt
2004-07-13
(System) Posted related IPR disclosure: Cisco's Statement about IPR claimed in draft-ietf-avt-rfc2793bis-00
2004-06-25
07 (System) New version available: draft-ietf-avt-rfc2793bis-07.txt
2004-06-07
06 (System) New version available: draft-ietf-avt-rfc2793bis-06.txt
2004-06-04
05 (System) New version available: draft-ietf-avt-rfc2793bis-05.txt
2004-04-27
04 (System) New version available: draft-ietf-avt-rfc2793bis-04.txt
2004-03-17
03 (System) New version available: draft-ietf-avt-rfc2793bis-03.txt
2004-02-17
02 (System) New version available: draft-ietf-avt-rfc2793bis-02.txt
2004-01-07
01 (System) New version available: draft-ietf-avt-rfc2793bis-01.txt
2003-11-21
00 (System) New version available: draft-ietf-avt-rfc2793bis-00.txt